Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## taskspaces.rna
Class MotifsParser

    taskspaces.rna.MotifsParser

public class MotifsParser

Parses XML (using Apache Xerces SAX parser) documents conforming to Motifs.dtd definition and creates java.util.ArrayList of DatabaseEntry objects.

Version:
  1.0
Author:
  Rob Markel

Field Summary
`private int[]` | `constraint` Holds entry constraint values.
`private java.util.ArrayList` | `constraints` Holds entry constraint arrays.
`private java.lang.String` | `elementName` Holds name of the current element.
`private static java.util.ArrayList` | `entries` Holds the parsed entries.
`private java.util.ArrayList` | `modules` Holds entry sequence modules.
`private java.lang.String` | `motifName` Holds name of the motif.
`private java.util.ArrayList` | `structures` Holds entry structures.

Constructor Summary
`MotifsParser(java.lang.String xmlFile)` Parses Entry XML file.

Method Summary
`void` | `characters(char[] text, int start, int length)` Catches data from element.
`void` | `endElement(java.lang.String uri, java.lang.String local, java.lang.String qName)` Catches end element event.
`static java.util.ArrayList` | `getEntries()` Returns the parsed entries.
`static void` | `reset()` Resets the entries ArrayList.
`void` | `startElement(java.lang.String uri, java.lang.String local, java.lang.String qName, taskspaces.rna.Attributes atts)` Catches a start element event.

Field Detail

### motifName

    private java.lang.String motifName

  Holds name of the motif.

### elementName

    private java.lang.String elementName

  Holds name of the current element.

### entries

    private static java.util.ArrayList entries

  Holds the parsed entries.

### modules

    private java.util.ArrayList modules

  Holds entry sequence modules.

### structures

    private java.util.ArrayList structures

  Holds entry structures.

### constraints

    private java.util.ArrayList constraints

  Holds entry constraint arrays.

### constraint

    private int[] constraint

  Holds entry constraint values.

Constructor Detail

### MotifsParser

    public MotifsParser(java.lang.String xmlFile)

  Parses Entry XML file.
  Parameters:
    `xmlFile` - path or URL of the XML file.

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String local,
                             java.lang.String qName,
                             taskspaces.rna.Attributes atts)

  Catches a start element event.
  Returns:
    void

### characters

    public void characters(char[] text,
                           int start,
                           int length)

  Catches data from element.
  Returns:
    void

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String local,
                           java.lang.String qName)

  Catches end element event.
  Returns:
    void

### getEntries

    public static java.util.ArrayList getEntries()

  Returns the parsed entries.
  Returns:
    the DatabaseEntry objects.

### reset

    public static void reset()

  Resets the entries ArrayList.
  Returns:
    void

Class | Use | Tree | Deprecated | Index | Help
| -bottom
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD